For the complete documentation index, see llms.txt. This page is also available as Markdown.

Personendaten lesen

Die Endpunkte dieser Endpunktberechtigung finden Sie im Controller "PersonsRead" und "PersonsReadCatalog".

Personen abrufen

HInweise zur Funktion

Bitte beachten Sie, dass die Node "LegalPerson" derzeit die fehlerhaft bezeichete Node "ContractPerson" enthält. Diese müsste eigentlich "ContactPerson" lauten. Um die Datenstruktur in Produktivsystemen nicht zu stören, wird eine Behebung allerdings erst in der Version 1.3 erfolgen.

Version 1.0


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
personIdinteger · int32Optional
includeCommunicationbooleanOptionalDefault: false
includeAddressbooleanOptionalDefault: false
includeBankaccountbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
Namestring · nullableOptional
ShortNamestring · nullableOptional
IsNaturalPersonbooleanOptional
ValidFromstring · dateOptionalExample: 2026-08-19Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-19Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
get/openwowi/v1.0/PersonsRead/Persons
GET /openwowi/v1.0/PersonsRead/Persons HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IdNum": "text",
    "Name": "text",
    "ShortName": "text",
    "IsNaturalPerson": true,
    "ValidFrom": "2026-08-19",
    "ValidTo": "2026-08-19",
    "LegalPerson": {
      "LongName1": "text",
      "LongName2": "text",
      "VatId": "text",
      "CommercialRegisterNumber": "text",
      "CommercialRegisterTown": "text",
      "ContractPersons": [
        {
          "Id": 1,
          "IdNum": "text",
          "FirstName": "text",
          "LastName": "text"
        }
      ]
    },
    "NaturalPerson": {
      "FirstName": "text",
      "LastName": "text",
      "BirthName": "text",
      "CareOf": "text",
      "Title": "text",
      "BirthDate": "2026-01-01T00:00:00.000Z",
      "DeathDate": "2026-01-01T00:00:00.000Z",
      "Gender": {
        "Id": 1,
        "Name": "text"
      },
      "MaritalType": {
        "Id": 1,
        "Name": "text"
      },
      "Nationality": {
        "Id": 1,
        "Name": "text",
        "Code": "text"
      }
    },
    "Addresses": [
      {
        "AddressTypeId": 1,
        "Zip": "text",
        "Town": "text",
        "Street": "text",
        "HouseNumber": "text",
        "HouseNumberAddition": "text",
        "CountryId": 1,
        "ValidFrom": "2026-08-19",
        "ValidTo": "2026-08-19",
        "Id": 1,
        "AddressType": "text",
        "CountryCode": "text",
        "StreetComplete": "text",
        "HouseNumberComplete": "text",
        "MainAddress": true
      }
    ],
    "Communications": [
      {
        "CommunicationTypeId": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "Id": 1,
        "CommunicationType": "text",
        "RelatedAddress": "text"
      }
    ],
    "PersonBankAccounts": [
      {
        "Id": 1,
        "Iban": "text",
        "Bic": "text",
        "AccountHolder": "text",
        "ValidFrom": "2026-08-19",
        "ValidTo": "2026-08-19",
        "BankAccountType": {
          "Id": 1,
          "Code": "text"
        },
        "BankAccountId": 1,
        "BankAccountUsageType": {
          "Id": 1,
          "Code": "text"
        }
      }
    ]
  }
]

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
personIdinteger · int32Optional
includeCommunicationbooleanOptionalDefault: false
includeAddressbooleanOptionalDefault: false
includeBankaccountbooleanOptionalDefault: false
includeAdditionalFieldbooleanOptionalDefault: false
includeContactRelationbooleanOptionalDefault: false
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
Namestring · nullableOptional
ShortNamestring · nullableOptional
ConfidentialbooleanOptional
ValidFromstring · dateOptionalExample: 2026-08-19Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2026-08-19Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
get/openwowi/v1.2/PersonsRead/Persons
GET /openwowi/v1.2/PersonsRead/Persons HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IdNum": "text",
    "Name": "text",
    "ShortName": "text",
    "Confidential": true,
    "Vip": {
      "Id": 1,
      "Code": "text"
    },
    "ValidFrom": "2026-08-19",
    "ValidTo": "2026-08-19",
    "LegalPerson": {
      "LongName1": "text",
      "LongName2": "text",
      "VatId": "text",
      "CommercialRegisterNumber": "text",
      "CommercialRegisterTown": "text",
      "ContractPersons": [
        {
          "Id": 1,
          "IdNum": "text",
          "FirstName": "text",
          "LastName": "text"
        }
      ]
    },
    "NaturalPerson": {
      "Title": "text",
      "FirstName": "text",
      "LastName": "text",
      "BirthName": "text",
      "CareOf": "text",
      "BirthDate": "2026-08-19",
      "DeathDate": "2026-01-01T00:00:00.000Z",
      "Gender": {
        "Id": 1,
        "Name": "text"
      },
      "MaritalType": {
        "Id": 1,
        "Name": "text"
      },
      "Nationality": {
        "Id": 1,
        "Name": "text",
        "Code": "text"
      },
      "PersonInCare": {
        "Id": 1,
        "IdNum": "text"
      },
      "ContactFor": [
        {
          "Id": 1,
          "IdNum": "text",
          "LongName1": "text",
          "LongName2": "text"
        }
      ]
    },
    "Addresses": [
      {
        "Id": 1,
        "Zip": "text",
        "Town": "text",
        "Street": "text",
        "HouseNumber": "text",
        "HouseNumberAddition": "text",
        "ValidFrom": "2026-08-19",
        "ValidTo": "2026-08-19",
        "StreetComplete": "text",
        "HouseNumberComplete": "text",
        "MainAddress": true,
        "AddressType": {
          "Id": 1,
          "Name": "text"
        },
        "Country": {
          "Id": 1,
          "Name": "text",
          "Code": "text"
        }
      }
    ],
    "Communications": [
      {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        },
        "IsStandard": true
      }
    ],
    "PersonBankAccounts": [
      {
        "Id": 1,
        "Iban": "text",
        "Bic": "text",
        "AccountHolder": "text",
        "ValidFrom": "2026-08-19",
        "ValidTo": "2026-08-19",
        "BankAccountType": {
          "Id": 1,
          "Code": "text"
        },
        "BankAccountId": 1,
        "BankAccountUsageType": {
          "Id": 1,
          "Code": "text"
        }
      }
    ],
    "AdditionalFields": [
      {
        "Name": "text",
        "Content": "text",
        "Type": "text"
      }
    ]
  }
]

Personen "Zuordnungen" abrufen

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

EntityCodestring · nullableOptional
EntityNamestring · nullableOptional
EntityIdinteger · int32 · nullableOptional
TextInfosstring[] · nullableOptional
get/openwowi/v1.2/PersonsRead/Person/{personId}/Assignments
GET /openwowi/v1.2/PersonsRead/Person/{personId}/Assignments HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "EntityCode": "text",
    "EntityName": "text",
    "EntityId": 1,
    "TextInfos": [
      "text"
    ],
    "Relations": [
      {
        "EntityId": 1,
        "EntityCode": "text",
        "DisplayText": "text"
      }
    ]
  }
]

Banken

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
bankIdinteger · int32Optional
bicstringOptional
includeObsoletebooleanOptionalDefault: false
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
Namestring · nullableOptional
Codestring · nullableOptional
Bicstring · nullableOptional
Checksumstring · nullableOptional
OwnCodestring · nullableOptional
Townstring · nullableOptional
Zipstring · nullableOptional
IsObsoletebooleanOptional
get/openwowi/v1.2/PersonsRead/Banks
GET /openwowi/v1.2/PersonsRead/Banks HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "Name": "text",
    "Code": "text",
    "Bic": "text",
    "Checksum": "text",
    "OwnCode": "text",
    "Town": "text",
    "Zip": "text",
    "IsObsolete": true,
    "Country": {
      "Id": 1,
      "Name": "text",
      "Code": "text"
    }
  }
]

SEPA Mandate

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
bankAccountIdinteger · int32Optional
licenseAgreementIdinteger · int32Optional
ValidFromstring · date-timeOptional
ValidTostring · date-timeOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
MandateIdstring · nullableOptional
OriginalCreditorNamestring · nullableOptional
FormerlyDirectDebitbooleanOptional
ValidFromstring · date-timeOptional
ValidTostring · date-time · nullableOptional
MultiplePaymentModesbooleanOptional
IsActivebooleanOptional
DateOfSignaturestring · date-time · nullableOptional
PlaceOfSignaturestring · nullableOptional
SepaCreditorIdentifierIdinteger · int32Optional
get/openwowi/v1.2/PersonsRead/SepaMandate
GET /openwowi/v1.2/PersonsRead/SepaMandate HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "MandateId": "text",
    "OriginalCreditorName": "text",
    "BankAccount": {
      "Id": 1,
      "Iban": "text",
      "Bic": "text"
    },
    "SepaMandateType": {
      "Id": 1,
      "Code": "text"
    },
    "FormerlyDirectDebit": true,
    "ValidFrom": "2026-01-01T00:00:00.000Z",
    "ValidTo": "2026-01-01T00:00:00.000Z",
    "MultiplePaymentModes": true,
    "IsActive": true,
    "DateOfSignature": "2026-01-01T00:00:00.000Z",
    "PlaceOfSignature": "text",
    "Address": {
      "Id": 1,
      "Zip": "text",
      "Town": "text",
      "Street": "text",
      "HouseNumber": "text",
      "HouseNumberAddition": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "StreetComplete": "text",
      "HouseNumberComplete": "text",
      "MainAddress": true,
      "AddressType": {
        "Id": 1,
        "Name": "text"
      },
      "Country": {
        "Id": 1,
        "Name": "text",
        "Code": "text"
      }
    },
    "SepaCreditorIdentifierId": 1
  }
]

SEPA Gläubiger

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
idinteger · int32Optional
idNumstringOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
Descriptionstring · nullableOptional
NodeIdinteger · int32Optional
get/openwowi/v1.2/PersonsRead/SepaCreditorIdentifier
GET /openwowi/v1.2/PersonsRead/SepaCreditorIdentifier HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IdNum": "text",
    "Description": "text",
    "NodeId": 1
  }
]

Enumeratoren für "MaritalTypeId":

ID
Type

1

Single

2

Married

3

CivilPartnered

4

Divorced

5

Widowed

6

InACommune

7

Separated

8

SeparatedCivilPartner

9

SurvivingCivilPartner

10

MaritalStatusUnknown

Zuletzt aktualisiert